export declare class UIInfiniteScrollCustomAttribute {
    private element;
    static ScrollEventName: string;
    private isTicking;
    callback: Function;
    scrollBuffer: number;
    isActive: boolean;
    loadOnBottom: boolean;
    constructor(element: Element);
    attached(): void;
    detached(): void;
    private callbackChanged;
    private scrollBufferChanged;
    private onScrollChange;
    private checkScrollPosition;
}
